### Name: rtlu
### Title: ~ Function: R to LaTeX, Univariate analysis ~
### Aliases: rtlu
### Keywords: print classes programming interface utilities univar

### ** Examples

 # # # # # # # # # # # # # # # # # # #
#   R to LaTeX, Univariate Analyses   #
 #             Examples              #
  #       rtlu single variable      #
   # # # # # # # # # # # # # # # # #

########################
###### Step 1: Create the data

V1 <- factor(LETTERS[floor(runif(50,1,4))])
V2 <- rnorm(50,1,1)<0
V3 <- ordered(LETTERS[floor(runif(50,1,4))])

########################
###### Step 2: ordering variable
# nothing to do

########################
###### Step 3: running r2lu

### The following code will create some files.
### So we first move in a directories.

dir.create("exampleSingle")
setwd("exampleSingle")
rtlu(V1,fileOutput="First.tex",textBefore="\\section{Variable 1 to 3}",graphName="V1")
rtlu(V2,fileOut="Second.tex",graphName="V2")
rtlu(V3,fileOut="Third.tex",textBefore="\\newpage \n This is variable 3",graphDir="P")
rtluMainFile(c("First.tex","Second.tex","Third.tex"))
setwd("..")



 # # # # # # # # # # # # # # # # # # #
#   R to LaTeX, Univariate Analyses   #
 #          Real examples            #
  #        rtlu data.frame          #
   # # # # # # # # # # # # # # # # #

########################
###### Step 1: Create the data

data(examCheating)
str(examCheating)

########################
###### Step 2: ordering variable

examCheating$YearOfStudy <- ordered(examCheating$YearOfStudy,levels=c("L1","L2","L3","M1","M2"))
examCheating$Bac <- ordered(examCheating$Bac,levels=c("Remedial exam","Pass","Fairly good","Good","Very good","Summa cum laude"))
for(iColumn in 8:17){
    examCheating[,iColumn] <- ordered(examCheating[,iColumn],levels=c("Never","Rarely","Sometimes","Often","Always"))
}
str(examCheating)

########################
###### Step 3: running r2lu

### The following code will create some files.
### So we first move in a directories.

dir.create("exampleReal")
setwd("exampleReal")

### Then we prepare the textBefore, for transition between variable
textBefore <- c(
  "\\tableofcontents\n\\section{Global information}
  \\subsection{What is your age?}",
  "  \\subsection{What is your gender?}",
  "  \\subsection{What is your level?}",
  "  \\subsection{What is your field?}",
  "\\section{Cheating variables}
  \\subsection{Did you cheat at Bac?}",
  "  \\subsection{Did you cheat high scool?}",
  "  \\subsection{Cheating score}"
)
textAfter="For a detailled analysis, see
http://christophe.genolini.free.fr/EPO/2007 Fraude/EPO2007-Fraude-Rapport.pdf"

### We can run r2lu
rtlu(examCheating[,c(2:5,18:20)],fileOutput="ExamCheat-univ.tex",textBefore=textBefore)
rtluMainFile(c("ExamCheat-univ.tex"))
setwd("..")

### Then compile main.tex twice. It is ready !



